<div class="layout-block clearfix">
    <form class="form-horizontal form-style" [formGroup]="form" (ngSubmit)="onSubmit()" novalidate>
        <div class="area-block clearfix">
            <div class="panel">
                <div class="panel-body">
                    <div class="col-md-2">
                        <div class="form-group"
                            [class.error-style]="form.controls['code'].touched && form.controls['code'].errors">
                            <label>Mã<span class="txt-required">(*)</span></label>
                            <input tabindex="2" type="text" maxlength="20" formControlName="code" required class="form-control">
                            <p *ngIf="form.controls['code'].touched && form.controls['code'].errors" class="error">
                                Vui lòng nhập mã.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="form-group"
                            [class.error-style]="form.controls['username'].touched && form.controls['username'].errors">
                            <label>Tài khoản<span class="txt-required">(*)</span></label>
                            <input tabindex="2" type="text" maxlength="20" formControlName="username" required class="form-control">
                            <p *ngIf="form.controls['username'].touched && form.controls['username'].errors" class="error">
                                Vui lòng nhập tài khoản.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="form-group"
                            [class.error-style]="(form.controls['phone'].touched || submitted)  && form.controls['phone'].errors">
                            <label>Số điện thoại<span class="txt-required">(*)</span></label>
                            <input tabindex="2" type="number" maxlength="12" required formControlName="phone"
                                class="form-control" required>
                            <p *ngIf="(form.controls['phone'].touched || submitted)  && form.controls['phone'].errors"
                                class="error">
                                Vui lòng nhập số điện thoại.
                            </p>
                        </div>
                    </div>

                    <div class="col-md-2">
                        <div class="form-group"
                             [class.error-style]="form.controls['full_name'].touched && form.controls['full_name'].errors">
                            <label>Họ và Tên<span class="txt-required">(*)</span></label>
                            <input tabindex="3" type="text" maxlength="300" required formControlName="full_name"
                                class="form-control">
                            <p *ngIf="form.controls['full_name'].touched && form.controls['full_name'].errors"
                               class="error">
                               Vui lòng nhập họ tên.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="form-group"
                            [class.error-style]="form.controls['email'].touched && form.controls['email'].errors">
                            <label>Email <span class="txt-required">(*)</span></label>
                            <input tabindex="5" type="email" maxlength="64" formControlName="email" class="form-control"
                                required>
                            <p *ngIf="form.controls['email'].touched && form.controls['email'].hasError('required')"
                                class="error">
                                Vui lòng nhập email.
                            </p>
                            <p *ngIf="form.controls['email'].touched && form.controls['email'].errors && !form.controls['email'].hasError('email')"
                                class="error">
                                Email invalid.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="form-group"
                            [class.error-style]="(form.controls['department_id'].touched || submitted)  && form.controls['department_id'].errors">
                            <label>Phòng ban<span class="txt-required">(*)</span></label>
                            <select formControlName="department_id" required class="form-control">
                                <option selected="" value="">Please select department</option>
                                <option *ngFor="let item of ListDept" value="{{item.id}}">{{item.name}}</option>
                            </select>
                            <p *ngIf="(form.controls['department_id'].touched || submitted)  && form.controls['department_id'].errors"
                                class="error">
                                Vui lòng nhập phòng ban.
                            </p>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="form-group"
                            [class.error-style]="(form.controls['role_id'].touched || submitted)  && form.controls['role_id'].errors">
                            <label>Vai trò<span class="txt-required">(*)</span></label>
                            <select class="form-control" formControlName="role_id" required tabindex="5">
                                <option *ngFor="let item of ListRole" [value]="item.id">{{item.name}}</option>
                            </select>
                            <p *ngIf="(form.controls['role_id'].touched || submitted)  && form.controls['role_id'].errors"
                                class="error">
                                Vui lòng nhập vai trò.
                            </p>
                        </div>
                    </div>

                    <div class="col-md-2">
                        <div class="form-group"
                            [class.error-style]="form.controls['is_active'].touched && form.controls['is_active'].errors">
                            <label>Trạng thái<span class="txt-required">(*)</span></label>
                            <select class="form-control" formControlName="is_active" placeholder="Status" required   tabindex="5">
                                <option *ngFor="let status of statuses" [value]="status.value">
                                    {{status.display}}
                                </option>
                            </select>
                            <p *ngIf="(form.controls['is_active'].touched || submitted)  && form.controls['is_active'].errors"
                                class="error">
                                Vui lòng nhập trạng thái.
                            </p>
                        </div>
                    </div>


                    <div class="col-md-2">
                        <div class="form-group"
                            [class.error-style]="form.controls['password'].touched && form.controls['password'].errors">
                            <label>Mật khẩu</label>
                            <input tabindex="9" type="text" maxlength="20" formControlName="password"
                                class="form-control">
                            <p *ngIf="form.controls['password'].touched && form.controls['password'].errors"
                                class="error">
                                Vui lòng nhập mật khẩu.
                            </p>
                        </div>
                    </div>


                </div>
            </div>

        </div>


        <div class="button pull-right">
            <button type="button" (click)="cancel()" class="btn btn-default" tabindex="20">
                <i class="icon-close"></i>
                Trở về
            </button>
            <button *ngIf="userPermission['UPDATE-USER']" type="submit" [disabled]="form.invalid" class="btn btn-primary pull-right" tabindex="19">
                <i class="icon-check"></i>
                Lưu
            </button>
        </div>
        <goback *ngIf="isView"></goback>
    </form>
</div>